%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             bean-validation-api
Version:          1.1.0
Release:          %mkrel 1
Summary:          Bean Validation API (JSR 349)
License:          ASL 2.0
Group:            Development/Java
URL:              http://beanvalidation.org/
Source0:          https://github.com/beanvalidation/beanvalidation-api/archive/%{namedversion}.tar.gz

BuildRequires:    java-devel

# test deps
BuildRequires:    mvn(org.testng:testng)

BuildRequires:    maven-local
BuildRequires:    maven-plugin-bundle
BuildRequires:    maven-surefire-provider-testng

BuildArch:        noarch

%description
This package contains Bean Validation (JSR-349) API.

%package javadoc
Summary:          Javadoc for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n beanvalidation-api-%{namedversion}

# Disable javadoc jar
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"
# Disable source jar
%pom_remove_plugin :maven-source-plugin

%build

%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc license.txt

%files javadoc -f .mfiles-javadoc
%doc license.txt



%changelog
* Sun Sep 29 2013 dmorgan <dmorgan> 1.1.0-1.mga4
+ Revision: 489183
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 346886
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 1.0.0-2.mga3
+ Revision: 292050
- Fix spec file layout

* Fri Oct 21 2011 gil <gil> 1.0.0-1.mga2
+ Revision: 157063
- imported package bean-validation-api

